Package ru.bitel.bgbilling.plugins.organizer.server.bean

# Class OrganizerManager

java.lang.Object
ru.bitel.bgbilling.plugins.organizer.server.bean.OrganizerManager

public class OrganizerManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `RecordsTotal`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrganizerManager(Connection conn)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addToJournal(int rid, int userID, String messageType)`
  `int`
  `countJournalList(Page page, Period per, int uid)`
  `OrganizerCounter`
  `countRecords(int uid)`
  `int`
  `countTotalRecords(RecordFilter filter)`
  `void`
  `deleteRecordById(int rid)`
  `void`
  `deleteRecordByID(int rid)`
  Deprecated.
  `List<JournalEntry>`
  `getJournalList(Page page, Period period, int uid)`
  `OrganizerRecord`
  `getRecordById(int rid)`
  `List<OrganizerRecord>`
  `getRecords(RecordFilter filter)`
  `List<OrganizerRecord>`
  `getTodoRecords(int uid, int status)`
  Deprecated.
  Использовать `searchTodoRecords(SearchResult, int, int)`
  `String`
  `getUserGroups(int uid)`
  `void`
  `searchTodoRecords(SearchResult<OrganizerRecord> searchResult, int uid, int status)`
  Постраничный вывод записей
  `void`
  `updateRecord(OrganizerRecord rec)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RecordsTotal

    public int RecordsTotal

- ## Constructor Details

  - ### OrganizerManager

    public OrganizerManager(Connection conn)

- ## Method Details

  - ### getRecords

    public List<OrganizerRecord> getRecords(RecordFilter filter) throws SQLException
    Throws:
      `SQLException`

  - ### countTotalRecords

    public int countTotalRecords(RecordFilter filter) throws SQLException
    Throws:
      `SQLException`

  - ### getRecordById

    public OrganizerRecord getRecordById(int rid) throws SQLException
    Throws:
      `SQLException`

  - ### updateRecord

    public void updateRecord(OrganizerRecord rec) throws SQLException
    Throws:
      `SQLException`

  - ### getUserGroups

    public String getUserGroups(int uid) throws SQLException
    Throws:
      `SQLException`

  - ### searchTodoRecords

    public void searchTodoRecords(SearchResult<OrganizerRecord> searchResult, int uid, int status) throws ru.bitel.bgbilling.common.BGException
    Постраничный вывод записей
    Parameters:
      `searchResult` -
      `uid` -
      `status` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTodoRecords

    @Deprecated public List<OrganizerRecord> getTodoRecords(int uid, int status) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `searchTodoRecords(SearchResult, int, int)`
    Parameters:
      `uid` -
      `status` -
    Returns:
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### countRecords

    public OrganizerCounter countRecords(int uid) throws SQLException
    Throws:
      `SQLException`

  - ### addToJournal

    public void addToJournal(int rid, int userID, String messageType) throws SQLException
    Throws:
      `SQLException`

  - ### deleteRecordById

    public void deleteRecordById(int rid) throws SQLException
    Throws:
      `SQLException`

  - ### deleteRecordByID

    @Deprecated public void deleteRecordByID(int rid) throws SQLException
    Deprecated.
    Использовать `deleteRecordById(int)`.
    Parameters:
      `rid` -
    Throws:
      `SQLException`

  - ### getJournalList

    public List<JournalEntry> getJournalList(Page page, Period period, int uid) throws SQLException
    Throws:
      `SQLException`

  - ### countJournalList

    public int countJournalList(Page page, Period per, int uid) throws SQLException
    Throws:
      `SQLException`